## grub2 2.12

=== debian/changelog ===
grub2 (2.12-5ubuntu11) plucky; urgency=medium

  * Replace 4GB memory allocation limit fix (LP: #2106728)

 -- Tobias Heider <tobias.heider@canonical.com>  Thu, 10 Apr 2025 15:23:50 +0200

grub2 (2.12-5ubuntu10) plucky; urgency=medium

  * Limit 4GB memory allocation to arm64 (LP: #2103864)

 -- Mate Kukri <mate.kukri@canonical.com>  Sat, 22 Mar 2025 16:09:04 +0000

grub2 (2.12-5ubuntu9) plucky; urgency=medium

  * Drop NTFS patches that seem to be causing regressions

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 17 Mar 2025 11:37:37 +0000

grub2 (2.12-5ubuntu8) plucky; urgency=medium

  * Cherry-pick upstream vulnerability fixes
  * Cherry-pick extfs regression patch
  * Cherry-pick xfs regression patches
  * Bump SBAT level to grub,5
  * {arm64,loongarch64,riscv64}: Limit memory allocations to 4GB
  * SECURITY UPDATE: video/readers/jpeg: Do not permit duplicate SOF0 markers in JPEG
    - CVE-2024-45774
  * SECURITY UPDATE: commands/extcmd: Missing check for failed allocation
    - CVE-2024-45775
  * SECURITY UPDATE: gettext: Integer overflow leads to heap OOB write or read
    - CVE-2024-45776
  * SECURITY UPDATE: gettext: Integer overflow leads to heap OOB write
    - CVE-2024-45777
  * SECURITY UPDATE: fs/bfs: Integer overflow
    - CVE-2024-45778
  * SECURITY UPDATE: fs/bfs: integer overflow leads to heap OOB read
    - CVE-2024-45779
  * SECURITY UPDATE: fs/tar: Integer overflow leads to heap OOB write
    - CVE-2024-45780
  * SECURITY UPDATE: fs/ufs: `strcpy` use leading to heap OOB write
    - CVE-2024-45781
  * SECURITY UPDATE: fs/hfs: `strcpy` use leading to potential heap OOB write
    - CVE-2024-45782
  * SECURITY UPDATE: fs/hfsplus: incorrect refcount handling leading to UAF
    - CVE-2024-45783
  * SECURITY UPDATE: command/gpg: Use-after-free due to hooks not being removed on module unload
    - CVE-2025-0622
  * SECURITY UPDATE: net: Out-of-bounds write in grub_net_search_config_file()
    - CVE-2025-0624
  * SECURITY UPDATE: UFS: Integer overflow may lead to heap based out-of-bounds write when handling symlinks
    - CVE-2025-0677
  * SECURITY UPDATE: squash4: Integer overflow may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0678
  * SECURITY UPDATE: reiserfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0684
  * SECURITY UODATE: jfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0685
  * SECURITY UPDATE: romfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0686
  * SECURITY UPDATE: udf: Heap based buffer overflow  in grub_udf_read_block() may lead to arbitrary code execution
    - CVE-2025-0689
  * SECURITY UPDATE: read: Integer overflow may lead to out-of-bounds write
    - CVE-2025-0690
  * SECURITY UPDATE: commands/dump: The dump command is not in lockdown when secure boot is enabled
    - CVE-2025-1118
  * SECURITY UPDATE: fs/hfs: Integer overflow may lead to heap based out-of-bounds write
    - CVE-2025-1125
  * SECURITY UPDATE: insmod: incorrect refcount handling leading to UAF [LP: #2055835]

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 13 Jan 2025 10:51:59 +0000

grub2 (2.12-5ubuntu7) plucky; urgency=medium

  * Provide pre-built BIOS and IEEE1275 El-Torito images (LP: #2086841)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 07 Nov 2024 11:53:40 +0000

grub2 (2.12-5ubuntu5.1) oracular; urgency=medium

  * riscv: use time register in grub_efi_get_time_ms() (LP: #2076651)
  * Defer NX policy enforcement to shim (LP: #2084104)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 11 Oct 2024 10:03:49 +0100

grub2 (2.12-5ubuntu5) oracular; urgency=medium

  * peimage: Fixup grub_error -> grub_dprintf
  * peimage: Fixup section consistency checks (LP: #2078307)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 30 Aug 2024 16:11:07 +0100

grub2 (2.12-5ubuntu4) oracular; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Add Ubuntu sbat data
    - build-efi-images: do not produce -installer.efi.signed. LP #1863994
    - grub-common: Install canonical-uefi-ca.crt
    - Check signatures
    - Support installing to multiple ESP (LP #1871821)
    - Split out unsigned artefacts into grub2-unsigned
    - Vcs-Git: Point to ubuntu packaging branch
    - Relax dependencies on grub-common and grub2-common
    - UBUNTU: Do not link grub-efi-*-unsigned docs to grub-common
    - UBUNTU: Default timeout changes
    - UBUNTU: Replace grub-install-extra-removable
    - UBUNTU: Revert "Add jfs module to signed UEFI images. Closes: #950959"
    - UBUNTU: Revert "Add f2fs module to signed UEFI images"
    - UBUNTU: Drop luks2
    - Install grub-initrd-fallback.service again
    - Build using -O1 on s390x to avoid misoptimization
    - grub-check-signatures: Support gzip compressed kernels
    - forward port fix for LP #1926748
    - Forward port the fix for LP #1930742 and make it conditional (xenial/bionic only)
    - Build grub2-unsigned packages with xz compression
    - Drop i386 from grub-efi-amd64*
    - Turn depends on grub-efi-amd64/arm64 unversioned
    - Revert "Have -bin packages Break pre-2.12 -signed packages"
    - Install grub-sort-version
    - rules: Add DPKG_BUILDPACKAGE_OPTIONS to generate-grub2-unsigned
    - d/postinst.in: Make empty "grub-pc/install_devices" non-fatal in "noninteractive" mode
    - Add debconf options "grub-{efi,pc}/cloud_style_installation"
    - grub-common.service: Add After/Requires=boot-complete.target (LP #1992643)
    - d/postinst.in: Remove upgrade check for GRUB version we can no longer upgrade from
    - Removed patches:
      + install-signed.patch with
      + grub-install-extra-removable.patch
      + grub-install-removable-shim.patch
    - Added patches:
      + ubuntu-install-signed.patch
      + ubuntu-grub-install-extra-removable.patch
      + ubuntu-zfs-enhance-support.patch

