=== debian/control ===
Source: grub2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
Uploaders: Felix Zielcke <fzielcke@z-51.de>, Jordi Mallach <jordi@debian.org>, Steve McIntyre <93sam@debian.org>, Julian Andres Klode <jak@debian.org>, Mate Kukri <mate.kukri@canonical.com>
Build-Depends: debhelper-compat (= 13),
 patchutils,
 python3,
 python3-apt,
 python3-pytest,
 flex,
 bison,
 gawk,
 po-debconf,
 help2man,
 texinfo,
 gcc-multilib [i386 kopensolaris-i386 any-amd64 any-ppc64 any-sparc],
 xfonts-unifont,
 libfreetype6-dev,
 gettext,
 libdevmapper-dev [linux-any],
 libgeom-dev (>= 8.2+ds1-1~) [kfreebsd-any] | libgeom-dev (<< 8.2) [kfreebsd-any],
 libsdl2-dev [!hurd-any],
 xorriso,
 qemu-system [i386 kfreebsd-i386 kopensolaris-i386 any-amd64],
 cpio [i386 kopensolaris-i386 amd64 x32],
 parted [!hurd-any],
 libfuse3-dev [linux-any kfreebsd-any],
 fonts-dejavu-core,
 liblzma-dev,
 liblzo2-dev,
 lzop,
 dosfstools [any-i386 any-amd64 any-arm64],
 squashfs-tools [any-i386 any-arm any-amd64 any-arm64 any-ia64 any-loong64 any-riscv64],
 wamerican,
 libparted-dev [any-powerpc any-ppc64 any-ppc64el],
 pkgconf,
 bash-completion,
 libefiboot-dev [i386 amd64 ia64 x32 armel armhf arm64 riscv64 loong64],
 libefivar-dev [i386 amd64 ia64 x32 armel armhf arm64 riscv64 loong64],
Build-Conflicts: autoconf2.13, libzfs-dev, libnvpair-dev
Standards-Version: 3.9.6
Homepage: https://www.gnu.org/software/grub/
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/grub/+git/ubuntu
Rules-Requires-Root: no

Package: grub2
Section: oldlibs
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64
Pre-Depends: ${misc:Pre-Depends}
Depends: grub-pc (= ${binary:Version}) [any-i386 any-amd64] | grub-ieee1275 (= ${binary:Version}) [any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64], ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package to handle GRUB 2 upgrades.  It can be
 safely removed.

Package: grub-linuxbios
Section: oldlibs
Architecture: any-i386 any-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: grub-coreboot (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy transitional package that depends on grub-coreboot.

Package: grub-efi
Architecture: any-i386 any-amd64 any-arm64 any-ia64 any-arm any-riscv64 any-loong64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, grub-efi-ia32 (>= ${binary:Version}) [any-i386], grub-efi-amd64 [any-amd64], grub-efi-arm64 [any-arm64], grub-efi-ia64 (>= ${binary:Version}) [any-ia64], grub-efi-arm (>= ${binary:Version}) [any-arm], grub-efi-riscv64 (>= ${binary:Version}) [any-riscv64], grub-efi-loong64 (>= ${binary:Version}) [any-loong64]
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (dummy package)
 This is a dummy package that depends on the grub-efi-$ARCH package most likely
 to be appropriate for each architecture.

Package: grub-common
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext-base, ${lsb-base-depends}, python3, python3-apt
Replaces: grub-pc (<< 2.00-4), grub-ieee1275 (<< 2.00-4), grub-efi (<< 1.99-1), grub-coreboot (<< 2.00-4), grub-linuxbios (<< 1.96+20080831-1), grub-efi-ia32 (<< 2.00-4), grub-efi-amd64 (<< 2.00-4), grub-efi-ia64 (<< 2.00-4), grub-yeeloong (<< 2.00-4), init-select
Recommends: os-prober (>= 1.33)
Suggests: multiboot-doc, grub-emu [any-i386 any-amd64 any-powerpc], mtools [any-i386 any-amd64 any-ia64 any-arm any-arm64 riscv64 any-loong64], xorriso (>= 0.5.6.pl00), desktop-base (>= 4.0.6), console-setup
Conflicts: init-select
# mdadm: See bugs #435983 and #455746
Breaks: mdadm (<< 2.6.7-2), lupin-support (<< 0.55), friendly-recovery (<< 0.2.13), apport (<< 2.1.1), grub-efi-amd64-signed (<< 1+2.12~rc1), grub-efi-arm64-signed (<< 1+2.12~rc1), grub-efi-ia32-signed (<< 1+2.12~rc1)
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files)
 This package contains common files shared by the distinct flavours of GRUB.
 It is shared between GRUB Legacy and GRUB 2, although a number of files
 specific to GRUB 2 are here as long as they do not break GRUB Legacy.
 .
 grub-mkrescue needs the suggested packages mtools (for UEFI targets) and
 xorriso.

Package: grub2-common
# Not Architecture: any because this package contains some things which are
# only built when there is a real platform (e.g. grub-install), and the rest
# of the package is not very useful in a utilities-only build.
Architecture: any-i386 any-amd64 any-powerpc any-ppc64 any-ppc64el any-sparc any-sparc64 any-mipsel any-ia64 any-arm any-arm64 any-riscv64 any-loong64
Depends: grub-common (= ${binary:Version}), dpkg (>= 1.15.4), ${shlibs:Depends}, ${misc:Depends}
Replaces: grub, grub-legacy, ${legacy-doc-br}, grub-common (<< 1.99-1), grub-pc (<< 2.02+dfsg1-7), grub-coreboot (<< 2.02+dfsg1-7), grub-efi-ia32 (<< 2.02+dfsg1-7), grub-efi-amd64 (<< 2.02+dfsg1-7), grub-efi-ia64 (<< 2.02+dfsg1-7), grub-efi-arm (<< 2.02+dfsg1-7), grub-efi-arm64 (<< 2.02+dfsg1-7), grub-ieee1275 (<< 2.02+dfsg1-7), grub-uboot (<< 2.02+dfsg1-7), grub-xen (<< 2.02+dfsg1-7), grub-yeeloong (<< 2.02+dfsg1-7), grub-cloud-amd64 (<< 0.0.4)
Breaks: grub (<< 0.97-54), grub-legacy (<< 0.97-83~), ${legacy-doc-br}, shim (<< 0.9+1474479173.6c180c6-0ubuntu1~), grub-pc (<< 2.02+dfsg1-7), grub-coreboot (<< 2.02+dfsg1-7), grub-efi-ia32 (<< 2.02+dfsg1-7), grub-efi-amd64 (<< 2.02+dfsg1-7), grub-efi-ia64 (<< 2.02+dfsg1-7), grub-efi-arm (<< 2.02+dfsg1-7), grub-efi-arm64 (<< 2.02+dfsg1-7), grub-ieee1275 (<< 2.02+dfsg1-7), grub-uboot (<< 2.02+dfsg1-7), grub-xen (<< 2.02+dfsg1-7), grub-yeeloong (<< 2.02+dfsg1-7), grub-cloud-amd64 (<< 0.0.4)
Multi-Arch: foreign
Description: GRand Unified Bootloader (common files for version 2)
 This package contains common files shared by the distinct flavours of GRUB.
 The files in this package are specific to GRUB 2, and would break GRUB
 Legacy if installed on the same system.

Package: grub-emu
Architecture: any-i386 any-amd64 any-powerpc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub-common (<= 1.97~beta3-1)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated version)
 This package contains grub-emu, an emulated version of GRUB.  It is only
 provided for debugging purposes.

Package: grub-emu-dbg
Section: debug
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${misc:Depends}, grub-emu (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (emulated debug files)
 This package contains debugging files for grub-emu.  You only need these if
 you are trying to debug GRUB using its GDB stub.

Package: grub-pc-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-pc (<< 1.99-1)
Suggests: desktop-base (>= 4.0.6)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS modules)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This package contains GRUB modules that have been built for use with the
 traditional PC/BIOS architecture.  It can be installed in parallel with
 other flavours, but will not automatically install GRUB as the active boot
 loader nor automatically update grub.cfg on upgrade unless grub-pc is also
 installed.

Package: grub-pc-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-pc-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 This package contains debugging files for grub-pc-bin.  You only need these
 if you are trying to debug GRUB using its GDB stub.

Package: grub-pc
Architecture: any-i386 any-amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, grub2-common (= ${binary:Version}), grub-pc-bin (= ${binary:Version}), ucf, freebsd-utils (>= 8.0-4) [kfreebsd-any], ${gfxpayload-depends}
Replaces: grub, grub-legacy, grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275
Conflicts: grub (<< 0.97-54), grub-efi-amd64, grub-efi-ia32, grub-coreboot, grub-ieee1275, grub-xen
Breaks: grub-legacy (<< 0.97-83~)
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (PC/BIOS version)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 This is a dependency package for a version of GRUB that has been built for
 use with the traditional PC/BIOS architecture.  Installing this package
 indicates that this version of GRUB should be the active boot loader.

Package: grub-rescue-pc
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GRUB bootable rescue images, version 2 (PC/BIOS version)
 This package contains three GRUB rescue images that have been built for use
 with the traditional PC/BIOS architecture:
 .
  - grub-rescue-floppy.img: floppy image.
  - grub-rescue-cdrom.iso: El Torito CDROM image.
  - grub-rescue-usb.img: USB image.

Package: grub-coreboot-bin
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-common (= ${binary:Version})
Replaces: grub2 (<< ${source:Version}), grub-common (<= 1.97~beta2-1), grub-linuxbios, grub-coreboot (<< 1.99-1)
Conflicts: grub-linuxbios (<< ${source:Version})
Multi-Arch: foreign
Description: GRand Unified Bootloader, version 2 (Coreboot modules)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains GRUB modules that have been built for use with
 platforms running the Coreboot firmware.  It can be installed in parallel
 with other flavours, but will not automatically install GRUB as the active
 boot loader nor automatically update grub.cfg on upgrade unless
 grub-coreboot is also installed.

Package: grub-coreboot-dbg
Section: debug
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}, grub-coreboot-bin (= ${binary:Version}), grub-common (= ${binary:Version})
Multi-Arch: foreign
