## grub2 2.12-1ubuntu7trisquel8

=== debian/changelog ===
grub2 (2.12-1ubuntu7trisquel8) ecne; urgency=medium

  * skip test grub_cmd_set_date.in

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 21 Nov 2024 23:04:11 +0000
