=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,10 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
-# FIXME: maybe re-enable this for userspace binaries later,
-# but we need to make GRUB buildable
-export ELF_PACKAGE_METADATA=
-
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 HOST_CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-# -O3 (default on Ubuntu ppc64el) introduces various -Werror failures, and
+# -O3 (default on Trisquel ppc64el) introduces various -Werror failures, and
 # isn't worth it here.
 ifneq (,$(filter s390x,$(DEB_HOST_ARCH_CPU)))
 HOST_CFLAGS := -Wall -Wno-error=unused-result $(shell dpkg-buildflags --get CFLAGS | perl -pe 's/-O[23]\b/-O1/')
@@ -73,7 +69,7 @@
 # REAL_PACKAGES build an actual grub variant (and therefore have both configure
 # and build stages). EXTRA_PACKAGES do not build grub but may depend on a
 # REAL_PACKAGE (and therefore only have a build stage)
-REAL_PACKAGES = grub-common grub-emu grub-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-efi-ia64 grub-efi-arm grub-efi-arm64 grub-efi-riscv64 grub-efi-loong64 grub-ieee1275 grub-firmware-qemu grub-uboot grub-xen grub-yeeloong
+REAL_PACKAGES = grub-common grub-emu grub-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-efi-ia64 grub-efi-arm grub-efi-arm64 grub-efi-riscv64 grub-ieee1275 grub-firmware-qemu grub-uboot grub-xen grub-yeeloong
 EXTRA_PACKAGES = grub-rescue-pc grub-xen-host
 
 ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
@@ -90,14 +86,12 @@
 COMMON_PLATFORM := efi-arm64
 else ifeq (riscv64,$(DEB_HOST_ARCH_CPU))
 COMMON_PLATFORM := efi-riscv64
-else ifeq (loong64,$(DEB_HOST_ARCH_CPU))
-COMMON_PLATFORM := efi-loong64
 else
 COMMON_PLATFORM := none
 BUILD_PACKAGES += grub-none
 endif
 
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+ifeq (yes,$(shell dpkg-vendor --derives-from Trisquel && echo yes))
 DEFAULT_CMDLINE := quiet splash
 DEFAULT_TIMEOUT := 10
 ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
@@ -107,7 +101,7 @@
 else
 FLICKER_FREE_BOOT := yes
 endif
-confflags += --enable-ubuntu-recovery
+confflags += --enable-trisquel-recovery
 else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
 DEFAULT_CMDLINE := quiet splash
 DEFAULT_TIMEOUT := 10
@@ -138,19 +132,11 @@
 debian/stamps/build-grub-efi-ia32 install/grub-efi-ia32: export SB_EFI_NAME := ia32
 debian/stamps/build-grub-efi-amd64 install/grub-efi-amd64: export SB_PLATFORM := x86_64-efi
 debian/stamps/build-grub-efi-amd64 install/grub-efi-amd64: export SB_EFI_NAME := x64
-debian/stamps/build-grub-efi-arm install/grub-efi-arm: export SB_PLATFORM := arm-efi
-debian/stamps/build-grub-efi-arm install/grub-efi-arm: export SB_EFI_NAME := arm
 debian/stamps/build-grub-efi-arm64 install/grub-efi-arm64: export SB_PLATFORM := arm64-efi
 debian/stamps/build-grub-efi-arm64 install/grub-efi-arm64: export SB_EFI_NAME := aa64
-debian/stamps/build-grub-efi-ia64 install/grub-efi-ia64: export SB_PLATFORM := ia64-efi
-debian/stamps/build-grub-efi-ia64 install/grub-efi-ia64: export SB_EFI_NAME := ia64
-debian/stamps/build-grub-efi-loong64 install/grub-efi-loong64: export SB_PLATFORM := loongarch64-efi
-debian/stamps/build-grub-efi-loong64 install/grub-efi-loong64: export SB_EFI_NAME := loongarch64
-debian/stamps/build-grub-efi-riscv64 install/grub-efi-riscv64: export SB_PLATFORM := riscv64-efi
-debian/stamps/build-grub-efi-riscv64 install/grub-efi-riscv64: export SB_EFI_NAME := riscv64
 SB_PACKAGE :=
 ONLY_BUILD :=
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+ifeq (yes,$(shell dpkg-vendor --derives-from Trisquel && echo yes))
 generate-grub2-unsigned:
 	rm -f debian/files
 	sed '1s/^grub2 /grub2-unsigned /' -i debian/changelog
@@ -160,7 +146,6 @@
 	grep-dctrl -r -F Package '^grub-efi-a.*64$$' debian/control >> debian/control.unsigned
 	grep-dctrl -r -F Package '^grub-efi-a.*64.*-bin$$' debian/control >> debian/control.unsigned
 	grep-dctrl -r -F Package '^grub-efi-a.*64.*-dbg$$' debian/control >> debian/control.unsigned
-	grep-dctrl -r -F Package '^grub-efi-a.*64.*-unsigned$$' debian/control >> debian/control.unsigned
 	cp ../grub2_$(DEB_VERSION_UPSTREAM).orig.tar.xz ../grub2-unsigned_$(DEB_VERSION_UPSTREAM).orig.tar.xz
 	dch --append -c debian/changelog.unsigned 'Source package generated from src:grub2 using make -f ./debian/rules generate-grub2-unsigned'
 	rm -f debian/files
@@ -184,3 +169,24 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 SB_PACKAGE := grub-efi-amd64
 override_dh_builddeb: SB_PLATFORM := x86_64-efi
+ifeq ($(SB_SUBMIT),yes)
+# on amd64, src:grub2-unsigned builds efi-amd64 (-bin & -dbg)
+ONLY_BUILD := -pgrub-efi-$(DEB_HOST_ARCH) -pgrub-efi-$(DEB_HOST_ARCH)-bin -pgrub-efi-$(DEB_HOST_ARCH)-dbg
+else
+# on amd64, src:grub2 does not build efi-amd64 (-bin & -dbg)
+ONLY_BUILD := -Ngrub-efi-$(DEB_HOST_ARCH) -Ngrub-efi-$(DEB_HOST_ARCH)-bin -Ngrub-efi-$(DEB_HOST_ARCH)-dbg
+endif
+else ifeq ($(DEB_HOST_ARCH),arm64)
+SB_PACKAGE := grub-efi-arm64
+override_dh_builddeb: SB_PLATFORM := arm64-efi
+ifeq ($(SB_SUBMIT),yes)
+# on amd64, src:grub2-unsigned builds efi-arm64 (-bin & -dbg)
+ONLY_BUILD := -pgrub-efi-$(DEB_HOST_ARCH) -pgrub-efi-$(DEB_HOST_ARCH)-bin -pgrub-efi-$(DEB_HOST_ARCH)-dbg
+else
+# on arm64, src:grub2 does not build efi-arm64 (-bin & -dbg)
+ONLY_BUILD := -Ngrub-efi-$(DEB_HOST_ARCH) -Ngrub-efi-$(DEB_HOST_ARCH)-bin -Ngrub-efi-$(DEB_HOST_ARCH)-dbg
+endif
+else ifeq ($(DEB_HOST_ARCH),i386)
+ifeq ($(SB_SUBMIT),yes)
+# on i386, src:grub2-unsigned builds efi-amd64 (-bin & -dbg)
+ONLY_BUILD := -pgrub-efi-amd64 -pgrub-efi-amd64-bin -pgrub-efi-amd64-dbg
