## grub2 2.12-1ubuntu7.1trisquel9

=== debian/changelog ===
grub2 (2.12-1ubuntu7.1trisquel9) ecne; urgency=medium

  * skip test grub_cmd_set_date.in

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Apr 2025 05:34:16 +0000

grub2 (2.12-1ubuntu7.1) noble; urgency=medium

  * riscv: use time register in grub_efi_get_time_ms() (LP: #2076651)
  * efi/chainloader: Do not print device path of chainloaded file (LP: #2073634)

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 11 Sep 2024 14:15:05 +0100
